package konto;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.Test;

class KontoTest_v0 {
	// W tej wersji nie używamy setUp, tylko na początku każdej metody z testem
	// tworzymy przykładowe konto.

	@Test
	void testKonstruktorIGettery() {
		Konto konto = new Konto(1, "Ala", 1000);
		assertEquals(1, konto.getNumer());
		assertEquals("Ala", konto.getWlasciciel());
		assertEquals(1000, konto.getSaldo());
	}
	
	@Test
	void testToString() {
		Konto konto = new Konto(1, "Ala", 1000);
		String napis = konto.toString();
		assertEquals("Konto nr 1, saldo: 1000, wł.: Ala", napis);
	}
	
	@Test
	void testWplata() {
		Konto konto = new Konto(1, "Ala", 1000);
		konto.wplata(400);
		assertEquals(1400, konto.getSaldo());
	}

}
